#include <stdio.h>

typedef
    enum
    {
	false,
	true
    }
    boolean;

void Ordene (int* Vetor, int Tamanho)
{
    boolean Trocou;
    int*    Atual;
    int*    Proximo;

    do
    {
	Trocou = false;

	for (Atual = Vetor, Proximo = Vetor + 1;
	     Atual < Vetor + Tamanho - 1;
	     Atual++, Proximo++)
	    if (*Atual > *Proximo)
	    {
		int Temp = *Atual;
		*Atual = *Proximo;
		*Proximo = Temp;
		Trocou = true;
	    }
    }
    while (Trocou);
}

void main ()
{
    static int Vetor [10] = {9, 6, 4, 3, 0, 7, 2, 8, 5, 1};
    int Indice;

    printf ("\nVetor Original: {");

    for (Indice = 0; Indice <= 9; Indice++)
	printf ("%d, ", Vetor [Indice]);

    printf ("\b\b}\n");

    Ordene (Vetor, 10);

    printf ("Vetor Ordenado: {");

    for (Indice = 0; Indice <= 9; Indice++)
	printf ("%d, ", Vetor [Indice]);

    printf ("\b\b}\n");
}